//@see http://seiga.nicovideo.jp/seiga/im4455808

uniform float time;

varying vec2  texOffset;

void main(void){
//	if(time>0.5) return;

	gl_Position    = ftransform();
	gl_PointSize   = 2.0 * gl_Point.size / gl_Position.w;

	int index = int(time*2*16);

	//texture
	int texIndex = index%16;
	texOffset.s  = float(texIndex%4);
	texOffset.t  = float(texIndex/4);
}
